بایگانی

پیشنیازهای ابنتو

پیشنیازهای ابنتو

در این مقاله میپردازیم به پیشنیازهای ابنتو که در واقع دستورات و کامندهایی است

برای اجرایی شدن ربات های تلگرامی توسط سیستم عامل ابنتو

پیشنیازهای ابنتو برای افزودن لایبری های مورد نیاز برای اجرای ربات تلگرامی

نصب پیشنیازهای ابنتو

همه پیش نیازها را می توان به راحتی با استفاده از, دستور استاندارد ، مانند apt-get برای اوبونتو ، نصب کرد

که ما در مقاله پیشین بیان کردیم get دستوری قدیمی بود

و میتوان apt-get را به صورت apt تنها به کار برد

دستورات زیر تمام پیشنیازهای ابنتو  مورد نیاز و اختیاری را در Ubuntu 12.04 یا بالاتر نصب می کند

خواندن مقاله پیشین در اینجا

باز کردن dpkg

برخی برنامه های دیگر سعی در به روزرسانی اوبونتو دارند. وقتی یک دستور یا برنامه در حال به روزرسانی سیستم یا نصب یک نرم افزار جدید است ، پرونده dpkg (مدیر بسته Debian) را قفل می کند.
ابتدا قفل را حذف و سپس کانفیگ مجدد آن

دستور مورد نیاز :

sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock*
sudo dpkg --configure -a

آپدیت نرم افزار ها و ارتقای آنها

برای اپدیت و ارتقای نرم افزارها استفاده از 2 کامند در پیشنیازهای ابنتو قرار میگیرد

دستور مورد نیاز :

sudo apt-get update 
sudo apt-get upgrade

نصب پیش نیازهای lua و لایبری

برای اجرای سورس هایی که به زبان برنامه نویسی لوا نوشته شده است
نیازمند به نصب پیش نیازهای ابنتو برای این زبان برنامه نویسی هستیم
ابتدا نصب آنزیپ برای اکسترکت کردن سورس در سیستم عامل
و سپس نصب لایبری و پیش نیازهای این زبان برنامه نویسی

پیشنیازهای ابنتو برای اجرای سورس ها به زبان برنامه نویسی لوا
اجرای سورس های به زبان برنامه نویسی لوا

دستور مورد نیاز :

sudo apt-get install unzip
sudo apt-get install nano wget -y
sudo apt-get install luarock
sudo apt-get install libreadline-dev -y libconfig-dev -y libssl-dev -y lua5.2 -y liblua5.2-dev -y lua-socket -y lua-sec -y lua-expat -y libevent-dev -y make unzip git redis-server autoconf g++ -y libjansson-dev -y libpython-dev -y expat libexpat1-dev -y
sudo apt-get update
sudo apt-get instal
sudo apt-get install upstart-sysv
sudo apt-get upgrade 
sudo apt-get install libconfig++9v5 libstdc++6 
sudo apt autoremove
sudo apt-get install gcc-4.9
sudo apt-get --yes install wget libconfig9 libjansson4 lua5.2 liblua5.2 make unzip git redis-server g++ whois fortune fortunes
sudo apt-get install g++-4.7 -y c++-4.7 -y
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install screen -y
sudo apt-get install tmux -y
sudo apt-get install libstdc++6 -y
sudo apt-get install lua-lgi -y
sudo apt-get install libnotify-dev -y
sudo apt-get install libconfig++8-dev
sudo apt install libconfig++9v5
sudo apt-get install software-properties-common
sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo add-apt-repository ppa:deadsnakes/ppa
sudo apt-get update
sudo apt-get install gcc-4.9
sudo apt-get upgrade libstdc++6
sudo apt-get install libcurl-dev
sudo apt-get install libcurl4-openssl-dev
sudo apt-get install libcurl4-gnutls-dev
sudo apt-get install software-properties-common

نصب لواراکس (luarocks)

برای دانستن مختصری از اینکه لوآراکس چیست لازم است بدانیم :

لواراکس پکیجی برای مدیریت ماژولهای لوا است

که میتوان در سیسم عاملهای یونیکس و حتی ویندوز آن را نصب کرد

و نصب بقیه پیشنیازهای ابنتو برای اجرای لوا

برای توضیحات بیشتر ارجاع داده میشود به وبسایت لواراکس در اینجا

دستور مورد نیاز :

wget http://luarocks.org/releases/luarocks-2.2.2.tar.gz;tar zxpf luarocks-2.2.2.tar.gz;cd luarocks-2.2.2 && ./configure; sudo make bootstrap;sudo luarocks install luasocket;sudo luarocks install luasec;sudo luarocks install redis-lua;sudo luarocks install lua-term;sudo luarocks install serpent;sudo luarocks install dkjson;sudo luarocks install lanes;sudo luarocks install Lua-cURL
sudo apt-get install libstdc++9
sudo apt-get install libconfig++9v5 libstdc++6
sudo apt-get install libstdc++6
sudo apt-get install lua-lgi
sudo apt-get install libnotify-dev
sudo add-apt-repository ppa:ubuntu-toolchain-r/test 
sudo apt-get install libgtk2.0-0:i386 libidn11:i386 libglu1-mesa:i386
sudo apt-get install libpangox-1.0-0:i386 libpangoxft-1.0-0:i386
sudo apt autoremove
git config --global url."https://".insteadOf git://
sudo apt-get install liblua5.1-0:i386
sudo apt-get install liblua5.1-0:i386
sudo luarocks install luaxmlrpc
sudo apt-get install psmisc

نصب پیشنیازهای پایتون

برای اجرا شدن سورس هایی به زبان برنامه نویسی پایتون باید بدانیم

پایتون(Python) پایتون یک زبان برنامه نویسی سطح بالا تفسیر شده برای برنامه نویسی عمومی است.
این زبان دارای یک فلسفه طراحی است که بر خواندن کد، به خصوص با استفاده از فضای خالی مهم استوار است.
Python دارای یک سیستم نوع پویا و مدیریت حافظه خودکار است و پارادایم های چندگانه برنامه نویسی را پشتیبانی می کند.

مفسر پایتون برای بسیاری از سیستم عامل ها در دسترس است

توجه:لازم به ذکر است این دستورات برای نصب پایتون 3.6 است

پیشنیازهای ابنتو برای اجرای سورس به زبان برنامه نویسی پایتون
پیشنیازهای ابنتو برای اجرای سورس به زبان برنامه نویسی پایتون

دستور مورد نیاز :

sudo apt-get install python3.6-dev
conda install yaml
sudo apt install python3.6
sudo apt install python3-pip
python3.6 -m pip install wheel
python3.6 -m pip install setuptools
python3.6 -m pip install schedule
python3.6 -m pip install pytelegrambotapi
python3.6 -m pip install pillow
python3.6 -m pip install subprocess
python3.6 -m pip install pyrogram
python3.6 -m pip install pyrogram[fast]
python3.6 -m pip install redis==2.10.6
python3.6 -m pip install jdatetime
sudo pip install --force-reinstall redis==2.10.6

تکمیلی پیش نیازهای پایتون

در پایین تمامی پیشنیازهای ابنتو برای پایتون  قرارداده شده است
دستور مورد نیاز :

sudo apt-get update
sudo apt-get install python-pip
sudo pip install --upgrade pip
sudo pip install shadowsocks

sudo apt-get install python-setuptools

sudo apt-get install python-pip

sudo apt-get install python-redis

sudo pip install pyTelegramBotAPI

sudo pip install pyTelegramBotAPI —upgrade

sudo apt-get update

sudo apt-get install python2.7

sudo pip install pytelegrambotapi py==1.4.29 pytest==2.7.2 requests==2.7.0 six==1.9.0 wheel==0.24.0

pip install pyTelegramBotAPI

git clone https://github.com/eternnoir/pyTelegramBotAPI.git

cd pyTelegramBotAPI

python setup.py install

cd ..

sudo apt-get install python3.6-dev
conda install yaml

add-apt-repository ppa:deadsnakes/ppa
apt-get update
sudo apt-get install python3.6
python3.6 -m pip install PyTelegramBotApi
python3.6 -m pip install pyrogram[tgcrypto]
python3.6 -m pip install redis
python3.6 -m pip install configparser
python3.6 -m pip install ruamel.yaml

نصب تمام پیشنیازهای ابنتو فقط  با یک دستور!

تلگراف هاست برای شما نصب تمامی این پکیج ها را فقط با یک دستور میسر کرده است

کافی است در ترمینال لینوکس خود این دستور را وارد نمایید

دستور مورد نیاز :

wget https://telegrafhost.com/linux/telegrafhost.sh && chmod +x  telegrafhost.sh && ./telegrafhost.sh install

با زدن این دستور تمامی پیشنیازهای ابنتو برای اجرای سورس شما فعال میشود

لازم به ذکر است میتوانید نحوه اجرای ربات تلگرامی از 0 تا 100 را در اینجا بخوانید:

نویسنده مقاله: سروش رافعی (کارشناس ارشد شبکه)
سرپرست: مهندس وحید باقری فام